org.opencv.tracking

## Class MultiTracker

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.MultiTracker

-     public class MultiTracker
      extends Algorithm

  This class is used to track multiple objects using the specified tracker algorithm. The %MultiTracker is naive implementation of multiple object tracking. It process the tracked objects independently without any optimization accross the tracked objects.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MultiTracker()` Constructor.
    `protected` | `MultiTracker(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultiTracker` | `__fromPtr__(long addr)`
    `boolean` | `add(Tracker newTracker, Mat image, Rect2d boundingBox)` Add a new object to be tracked.
    `static MultiTracker` | `create()` Returns a pointer to a new instance of MultiTracker
    `protected void` | `finalize()`
    `MatOfRect2d` | `getObjects()` Returns a reference to a storage for the tracked objects, each object corresponds to one tracker algorithm
    `boolean` | `update(Mat image, MatOfRect2d boundingBox)` Update the current tracking status.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiTracker

          protected MultiTracker(long addr)

    - #### MultiTracker

          public MultiTracker()

      Constructor.

  - ### Method Detail

    - #### __fromPtr__

          public static MultiTracker __fromPtr__(long addr)

    - #### create

          public static MultiTracker create()

      Returns a pointer to a new instance of MultiTracker
      Returns:
        automatically generated

    - #### add

          public boolean add(Tracker newTracker,
                             Mat image,
                             Rect2d boundingBox)

      Add a new object to be tracked.
      Parameters:
        `newTracker` - tracking algorithm to be used
        `image` - input image
        `boundingBox` - a rectangle represents ROI of the tracked object
      Returns:
        automatically generated

    - #### update

          public boolean update(Mat image,
                                MatOfRect2d boundingBox)

      Update the current tracking status.
      Parameters:
        `image` - input image
        `boundingBox` - the tracking result, represent a list of ROIs of the tracked objects.
      Returns:
        automatically generated

    - #### getObjects

          public MatOfRect2d getObjects()

      Returns a reference to a storage for the tracked objects, each object corresponds to one tracker algorithm
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8